=== themes/blue/CMakeLists.txt ===
install( FILES  imagepage.html  kphotoalbum.theme  mainpage.css  mainpage.html download.png DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/themes/blue )
