=== themes/dark/CMakeLists.txt ===
install( FILES download.png  imagepage.html  kphotoalbum.theme  mainpage.html  navigation.js  style.css  DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/themes/dark )
