## kphotoalbum 4.7.2

=== debian/changelog ===
kphotoalbum (4.7.2-2) unstable; urgency=medium

  * Team upload.
  * Disable KIPI support, since they are available only for Frameworks now:
    - drop the libkipi-dev build dependency
    - drop the kipi-plugins recommend

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2016 21:11:01 +0200

kphotoalbum (4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2016 11:18:52 +0200

kphotoalbum (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 10:11:37 +0100
