=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.3), pkg-kde-tools (>= 0.6.4),
  docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
+ libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev,
  x11proto-core-dev,
  pkg-config,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://kphotoalbum.org
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
@@ -17,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  libqt4-sql-sqlite, mplayer
-Recommends: kipi-plugins, khelpcenter4, ffmpeg
+Recommends: khelpcenter4, ffmpeg
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of
