=== debian/watch ===
version=3
http://download.kde.org/stable/kphotoalbum/([\d\.]+)/kphotoalbum-([\d\.]+)\.tar\.xz
