## kphotoalbum 5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,124 +1,93 @@
-cmake_minimum_required(VERSION 2.8.9)
-project(kphotoalbum)
-
-if(POLICY CMP0017)
-    # Prefer files from the CMake module directory when including from there:
-    CMAKE_POLICY(SET CMP0017 NEW)
+cmake_minimum_required(VERSION 3.2.0)
+project(kphotoalbum VERSION 5.3)
+
+if(POLICY CMP0063)
+    cmake_policy(SET CMP0063 NEW)
 endif()
 
 # provide drop-down menu for build-type in cmake-gui:
 set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")
 
-SET(CMAKE_MODULE_PATH
-    ${CMAKE_MODULE_PATH}
-    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
-)
-
-# in case we are installing to a non-standard path, expect that other libs are installed there as well:
-LIST(INSERT CMAKE_PREFIX_PATH 0 "${CMAKE_INSTALL_PREFIX}")
-LIST(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules")
-
-find_package(KDE4 REQUIRED)
-include(KDE4Defaults)
-
-# This seems to be needed for KPA to compile with KDE 4.0.0
-set(INSTALL_TARGETS_DEFAULT_ARGS
-    RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
-    LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
-    ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
-    COMPONENT Devel
-)
-
-ADD_DEFINITIONS(
-    ${QT_DEFINITIONS}
-    ${KDE4_DEFINITIONS}
-    ${KDE4_ENABLE_EXCEPTIONS}
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
+
+find_package(ECM REQUIRED NO_MODULE)
+list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
+
+include(KDEInstallDirs)
+include(KDECompilerSettings)
+include(KDECMakeSettings)
+include(FeatureSummary)
+
+# enable exceptions:
+kde_enable_exceptions()
+
+add_definitions(
     -DQT_NO_CAST_FROM_ASCII
     -DQT_NO_CAST_TO_ASCII
-    #-DDEBUG_JOBMANAGER
-)
-
-include(CheckCXX11Features)
-
-SET(CMAKE_CXX_FLAGS
-    "${CMAKE_CXX_FLAGS} ${CXX11_COMPILER_FLAGS}"
-)
-
-INCLUDE_DIRECTORIES(
-    ${KDE4_INCLUDES}
-    ${QT_INCLUDES}
-)
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_DEPRECATED_WARNINGS
+    )
+
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_REQUIRED TRUE)
+
+########### dependencies  ###############
+
+find_package(Qt5 REQUIRED COMPONENTS Sql Xml Widgets Network)
+find_package(Phonon4Qt5 REQUIRED)
+find_package(KF5 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
 
 find_package(JPEG REQUIRED)
 if(JPEG_FOUND)
-    INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
-endif (JPEG_FOUND)
-
-macro_optional_find_package(Kipi)
-macro_bool_to_01(KIPI_FOUND HASKIPI)
-if(KIPI_FOUND)
-    ADD_DEFINITIONS(${KIPI_DEFINITIONS})
-    INCLUDE_DIRECTORIES(BEFORE ${KIPI_INCLUDE_DIR})
-endif(KIPI_FOUND)
-
-macro_optional_find_package(Kdcraw)
-macro_bool_to_01(KDCRAW_FOUND HAVE_KDCRAW)
-if(KDCRAW_FOUND)
-    ADD_DEFINITIONS(${KDCRAW_DEFINITIONS})
-    INCLUDE_DIRECTORIES(BEFORE ${KDCRAW_INCLUDE_DIR})
-endif(KDCRAW_FOUND)
-
-macro_optional_find_package(Exiv2)
-macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)
-
-macro_optional_find_package(Marble)
-macro_bool_to_01(MARBLE_FOUND HAVE_MARBLE)
-if(MARBLE_FOUND)
-    INCLUDE_DIRECTORIES(${MARBLE_INCLUDE_DIR})
-endif(MARBLE_FOUND)
-
-# Kface 3.5.0 ships with a usable kface-config.cmake
-# and face detection/recognition support in KPA depends on KFace >= 3.5.0, anyway.
-macro_optional_find_package(Kface 3.5.0 QUIET CONFIG)
-macro_bool_to_01(Kface_FOUND HAVE_KFACE)
-if(Kface_FOUND)
-    message(STATUS "Found KFace version ${Kface_VERSION} (optional)")
-    message(STATUS "  Face detection and recognition features will be built.")
-    INCLUDE_DIRECTORIES(${Kface_INCLUDE_DIR})
-else()
-    message(STATUS "Did not find KFace >= 3.5.0 (optional)")
-    message(STATUS "  Face detection and recognition features won't be built.")
-endif(Kface_FOUND)
-
-if(EXIV2_FOUND)
-    macro_optional_find_package(KGeoMap QUIET)
-else()
-	message(STATUS "Not searching KGeoMap because of missing dependency Exiv2...")
+    include_directories(${JPEG_INCLUDE_DIR})
 endif()
-macro_bool_to_01(KGEOMAP_FOUND HAVE_KGEOMAP)
-if(KGEOMAP_FOUND)
-    message(STATUS "Found KGeoMap ${KGEOMAP_VERSION} (optional)")
-    message(STATUS "  Geographic map features will be built.")
-    INCLUDE_DIRECTORIES(${KGEOMAP_INCLUDE_DIR})
-else()
-    message(STATUS "Did not find KGeoMap (optional)")
-    message(STATUS "  Geographic map features won't be built.")
-endif(KGEOMAP_FOUND)
+
+find_package(Exiv2 REQUIRED)
+
+find_package(KF5Kipi 5.1.0)
+set_package_properties(KF5Kipi
+    PROPERTIES
+    TYPE RECOMMENDED
+    PURPOSE "Enables integration of KDE image plugin interface (shared functionality between KPhotoAlbum and other apps like gwenview or digikam)"
+    )
+set(HASKIPI ${KF5Kipi_FOUND})
+
+find_package(KF5KDcraw)
+set_package_properties(KF5KDcraw
+    PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Enables RAW image support"
+    )
+set(HAVE_KDCRAW ${KF5KDcraw_FOUND} )
+
+find_package(KF5KGeoMap)
+set_package_properties(KF5KGeoMap
+    PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Enables support for geographic map location using embedded GPS information."
+    )
+set(HAVE_KGEOMAP ${KF5KGeoMap_FOUND})
 
 add_custom_target(
     UpdateVersion ALL
-    COMMAND ${CMAKE_COMMAND} -DBASE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
+    COMMAND ${CMAKE_COMMAND}
+    -DBASE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DPROJECT_NAME=KPA -DPROJECT_VERSION="${PROJECT_VERSION}"
+    -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
     COMMENT "Updating version header."
-)
+    BYPRODUCTS "${CMAKE_CURRENT_SOURCE_DIR}/version.h"
+    )
 
 # For config-kpa-*.h
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 set(libdatebar_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
+    )
 
 set(libSettings_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp
@@ -136,7 +105,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/Logging.cpp
+    )
 
 set(libxmldb_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp
@@ -149,7 +119,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/ElementWriter.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XmlReader.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/CompressFileInfo.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Logging.cpp
+    )
 
 set(libThumbnailView_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp
@@ -168,10 +139,11 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Logging.cpp
+    )
 
 set(libPlugins_SRCS)
-if(KIPI_FOUND)
+if(KF5Kipi_FOUND)
     set(libPlugins_SRCS
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp
@@ -181,8 +153,9 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
-    )
-endif(KIPI_FOUND)
+        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
+        )
+endif()
 
 set(libViewer_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp
@@ -198,32 +171,36 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.cpp
+    )
 
 set(libCategoryListView_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableTreeWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/Logging.cpp
+    )
 
 set(libHTMLGenerator_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/ImageSizeCheckBox.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Logging.cpp
+    )
 
 set(libUtilities_SRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/AlgorithmHelper.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Graph.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Set.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Logging.cpp
+    )
 
 set(libMainWindow_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp
@@ -248,7 +225,9 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMatch.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/MergeToolTip.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CopyPopup.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Options.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Logging.cpp
+    )
 
 set(libImageManager_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp
@@ -267,7 +246,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/Logging.cpp
+    )
 
 set(libDB_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfo.cpp
@@ -283,3 +263,11 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/NegationCategoryMatcher.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/NewImageFinder.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/NoTagCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/GroupCounter.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageSearchInfo.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryItem.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ContainerCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ValueCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/OrCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/AndCategoryMatcher.cpp
