=== demo/CategoryImages/CMakeLists.txt ===
install(
    FILES
    Keywords-scenic.jpg
    Places-Grand_Canyon.jpg
    Places-Skagen.jpg
    People-Anne_Helene.jpg
    People-Blackie.jpg
    People-Donna.jpg
    People-Jesper.jpg
    People-Jim.jpg
    People-Spiff.jpg
    People-Wayne.jpg
    People-Pets.jpg
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/demo/CategoryImages
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
