=== themes/dark/CMakeLists.txt ===
install(
    FILES
    download.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    style.css
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/dark
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
