=== themes/grey/CMakeLists.txt ===
install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    download.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/grey
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
