=== debian/changelog ===
kphotoalbum (5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879364)
  * Remove trailing whitespaces in changelog, and control.
  * Use https in watch file.
  * Remove obsolete get-orig-source-dpatch target in rules.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Feb 2018 10:25:37 +0100
