=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,4 @@
 	dh_auto_clean
 	rm -f kphotoalbum.1
 
-get-orig-source-dpatch:
-	 @@dh_testdir
-	 @@[ -d ../tarballs/. ]
-	 @@dpatch-get-origtargz ../tarballs
-
 .PHONY: override_dh_auto_test
