=== debian/watch ===
version=3
https://download.kde.org/stable/kphotoalbum/([\d\.]+)/kphotoalbum-([\d\.]+)\.tar\.xz
